commit fdba469a3b294959ce56658fa67acac86b29d6c6
Author: Martin Sebela <msebela@zcu.cz>
Date:   Tue Oct 20 09:42:45 2020 +0200

    Re #8187 - fixed draggable bug, draggable timeline is now more smooth due optimalization, deploy new Bootstrap version due .map files

diff --git a/website/public/js/zcu-heatmap.js b/website/public/js/zcu-heatmap.js
index a86e6f8..6782e89 100644
--- a/website/public/js/zcu-heatmap.js
+++ b/website/public/js/zcu-heatmap.js
@@ -193,12 +193,14 @@ const onCheckboxClicked = async (checkbox) => {
 const onArrowLeftRightKeysDownRegister = () => {
   $(document).keydown(function (e) {
     const { which } = e
+    
     if (which === arrowKeyLEFT) {
       previous()
+      e.preventDefault()
     } else if (which === arrowKeyRIGHT) {
       next()
+      e.preventDefault()
     }
-    e.preventDefault()
   })
 }
 
@@ -461,6 +463,7 @@ function setTimeline () {
   $('#player-time > span').text(currentTime + ':00')
   $('#player-time').attr('class', 'time hour-' + currentTime)
 }
+
 const loadingTimeline = (isLoading) => {
   if (isLoading) {
     loadingYTimeline()
@@ -736,14 +739,14 @@ function dragTimeline () {
   const elem = $('#player-time')
   const offset = elem.offset().left - elem.parent().offset().left
 
-  elem.draggable({ containment: 'parent', axis: 'x', cursor: 'ew-resize' })
-
   if (offset >= 0 && offset <= elem.parent().width()) {
     const hour = Math.round(offset / hourElemWidthPx)
 
-    elem.attr('class', 'time hour-' + hour)
-    $('#player-time span').html(hour + ':00')
+    if (hour != currentTime) {
+      elem.attr('class', 'time hour-' + hour)
+      $('#player-time span').html(hour + ':00')
 
-    onChangeHour(hour)
+      onChangeHour(hour)
+    }
   }
 }
